VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "myobject"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Guide to the Perplexed: Simply class for test1 application
' Copyright (c) 1997 by Desaware Inc. All Rights Reserved
Option Explicit

Public Name$
Public CircularReference As myobject

Private Sub Class_Initialize()
    Debug.Print "Object is created"
End Sub

Private Sub Class_Terminate()
    Debug.Print "Object " & Name & " is destroyed"
End Sub

